package com.zaojiao.app.feat.home.index

import androidx.compose.foundation.ExperimentalFoundationApi
import androidx.compose.foundation.layout.aspectRatio
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.unit.dp
import com.zaojiao.app.feat.design.LJGBanner

@OptIn(ExperimentalFoundationApi::class)
@Composable
fun HomeIndexSwiper2(
    list: List<String>,
) {
    LJGBanner(
        data = list,
        onImagePath = { _, item ->
            item
        },
        modifier = Modifier
            .padding(horizontal = 16.dp, vertical = 2.dp)
            .aspectRatio(343f / 70f)
            .clip(RoundedCornerShape(100.dp))
            .fillMaxWidth()
    )
}